> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyebssnapshotsparameters-object.md).

# AmazonCopyEbsSnapshotsParameters Object

## Description

Parameters for the Amazon Copy EBS Snapshots action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### description

Description to set on the target EBS snapshots.

Type: `string`

Required: Yes

### isPreventDuplicates

Indicates whether the target region should be checked for existing EBS snapshots which were previously copied from the source EBS snapshots.

Type: `boolean`

Required: No

Default: `false`

### isCopyTags

Indicates whether tags from the source EBS snapshot should be copied to the target EBS snapshot.

Type: `boolean`

Required: No

Default: `false`

### newerThanInDays

Indicates the maximum age an EBS snapshot can be in order to be copied. If not specified, no age requirement is applied.

Type: `integer`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resourceTagComparison

Comparison to use when identifying snapshots by resource tag. Required when `snapshotIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### snapshotIdentificationMethod

Method in which EBS snapshots will be selected.

Type: `string`

Valid Values:

* `all-snapshots`
* `by-snapshot-id`
* `by-volume-id`
* `by-resource-tag`

Required: Yes

### snapshotId

Indicates the ID of the EBS snapshot to copy. Required when `snapshotIdentificationMethod` is `by-snapshot-id`.

Type: `string`

Required: Conditional

### tags

Resource tags to apply to the new EBS snapshots.

Type: Array of [Tag](/data-types/tag-object.md) objects

Required: No

### targetCredentialId

Indicates the ID of the target AWS credentials to which the snapshots will be copied.

Type: `string`

Required: No

### targetRegionName

Indicates the region into which the EBS snapshots will be copied.

Type: `string`

Required: Yes

### volumeId

Indicates the ID of the EBS volume from which snapshots are to be copied. Required when `snapshotIdentificationMethod` is `by-volume-id`.

Type: `string`

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "snapshotIdentificationMethod": "by-volume-id",
    "volumeId": "vol-00000001",
    "newerThanInDays": 3,
    
    "targetRegionName": "us-east-2",
    "isPreventDuplicates": true,
    
    "description": "$(DESCRIPTION)",
    "isCopyTags": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyebssnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
